Summary:   ftp server program based on wu-ftpd
Name:      beroftpd
Version:   1.2.1
Release:   1
Source:    ftp://linux.net.eu.org/pub/BeroFTPD/BeroFTPD-%{version}.tar.gz
Patch:     BeroFTPD-1.0.7-perl.patch
Copyright: Freeware
Group:     Networking/Daemons
Provides:  ftpserver
Conflicts: wu-ftpd ncftpd proftpd
BuildRoot: /tmp/%{name}-%{version}-root

%description
BeroFTPD is a replacement ftp server for Un*x systems based on wu-ftpd.
Besides supporting the ftp protocol defined in RFC 959, it adds the following
features:

    o  logging of transfers
    o  logging of commands
    o  on the fly compression and archiving
    o  classification of users on type and location
    o  per class limits
    o  per directory upload permissions
    o  restricted guest accounts
    o  system wide and per directory messages
    o  directory alias
    o  cdpath
    o  filename filter
    o  virtual host support (similar to the apache httpd server)
    o  optional E-mail notification when anonymous users upload files

%prep
%setup -q -n BeroFTPD-%{version}

%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
./configure --prefix=/usr \
            --with-confdir=/etc/beroftpd \
            --with-logdir=/var/log \
            --with-piddir=/var/run
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/beroftpd
install -d $RPM_BUILD_ROOT/usr/{bin,sbin}
install -d $RPM_BUILD_ROOT/usr/man/{man1,man5,man8}
install -m755 -s bin/ftpd $RPM_BUILD_ROOT/usr/sbin
install -m755 -s bin/ftpcount $RPM_BUILD_ROOT/usr/bin
install -m755 -s bin/ftpck $RPM_BUILD_ROOT/usr/bin
install -m755 -s bin/ftprestart $RPM_BUILD_ROOT/usr/bin
install -m755 -s bin/ftpshut $RPM_BUILD_ROOT/usr/bin
install -m600 doc/examples/ftpaccess $RPM_BUILD_ROOT/etc/beroftpd
install -m600 doc/examples/ftpconversions $RPM_BUILD_ROOT/etc/beroftpd
install -m600 doc/examples/ftpgroups $RPM_BUILD_ROOT/etc/beroftpd
install -m600 doc/examples/ftphosts $RPM_BUILD_ROOT/etc/beroftpd
install -m600 doc/examples/ftpusers $RPM_BUILD_ROOT/etc/beroftpd
install -m644 doc/*.1 $RPM_BUILD_ROOT/usr/man/man1
install -m644 doc/*.5 $RPM_BUILD_ROOT/usr/man/man5
install -m644 doc/*.8 $RPM_BUILD_ROOT/usr/man/man8
install -m755 util/xferstats $RPM_BUILD_ROOT/usr/sbin
ln -sf ftpcount $RPM_BUILD_ROOT/usr/bin/ftpwho
ln -sf ftpd $RPM_BUILD_ROOT/usr/sbin/in.ftpd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES INSTALL NOTES README VIRTUAL.FTP.SUPPORT
%doc doc/examples/ftpaccess.heavy
%dir /etc/beroftpd
%config /etc/beroftpd/*
/usr/bin/*
/usr/sbin/*
%attr(-,root,man) /usr/man/*/*

%changelog
* Mon Oct 27 1998 Arne Coucheron <arneco@online.no>
  [1.2.1-1]

* Tue Oct 13 1998 Arne Coucheron <arneco@online.no>
  [1.1.14-1]

* Sun Oct 04 1998 Arne Coucheron <arneco@online.no>
  [1.1.12-1]

* Thu Sep 03 1998 Arne Coucheron <arneco@online.no>
  [1.1.9-1]

* Mon Aug 31 1998 Arne Coucheron <arneco@online.no>
  [1.1.7-1]

* Thu Aug 27 1998 Arne Coucheron <arneco@online.no>
  [1.1.5-1]
- install new configuration checker
- install ftprestart program

* Tue Aug 18 1998 Arne Coucheron <arneco@online.no>
  [1.1.2-1]

* Tue Aug 04 1998 Arne Coucheron <arneco@online.no>
  [1.1.1-1]

* Tue Jul 07 1998 Arne Coucheron <arneco@online.no>
  [1.1.0-1]

* Sat Jul 04 1998 Arne Coucheron <arneco@online.no>
  [1.0.7-1]
- first release